using System;

namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] nizUlaz = Console.ReadLine().Split();
            int n = Convert.ToInt32(nizUlaz[0]);
            int k = Convert.ToInt32(nizUlaz[1]);

            nizUlaz = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                if (Convert.ToInt32(nizUlaz[i]) == k)
                {
                    if (i < n - 1) Console.WriteLine(nizUlaz[i + 1]);
                    else Console.WriteLine(nizUlaz[0]);
                    return;
                }
            }
        }
    }
}